<?

class AddressesController extends AppController {

	// explicitly define the name of this class
	var $name = "Addresses";

	// prep data for viewing in index.thtml
	function index() {
	
		// set a $addresses array with all addresses from the model
		$this->set('addresses', $this->Address->FindAll());
	}

	// prep data for viewing in view.thtml
	function view($id) {
	
		// notify the model what the requested ID is
		$this->Address->id = $id;
		
		// set a $data array with the information from the model
		$this->set('data', $this->Address->read() );
	
	}

	// create the ability to add addresses via add.thtml
	function add() {
		
		// check if POSTed data exists
		if(!empty($this->data['Address']))
		
			// it does, attempt to save via the model
			if ($this->Address->save($this->data['Address']))
			
				// successfully saved, notify user
				$this->flash('Your contact has been saved.', '/addresses/');
	}
	
	// create the ability to edit addresses via edit.thtml
	// $id is optional (set to null by default); if it is
	// not null (and no data has been posted to the edit page)
	// we want to retrieve the information to populate the form.
	function edit($id = null) {
		
		// first, check to see if data has been POSTed to the page
		if(empty($this->data['Address'])) {
		
			// it hasn't, so tell the model that the ID we are interested 
			// in that ID
			$this->Address->id = $id;
			
			// retrieve the data from the model for that ID
			$this->data = $this->Address->read();
		
		// else, data has been POSTed, probably for a modification
		} else {
			// tell the model to try to save the data
			// Note that if data['Address'] doesn't contain 
			// an id, it will be the same thing as an "add" from above.
			if ($this->Address->save($this->data['Address']))
			
				// tell the user if it was successful
				$this->flash('Your contact has been updated.', '/addresses/');
		}
	}
	
	// create the ability to delete an address. Delete requires an
	// id to delete.
	function delete($id) {
		// ask the model to attempt to delete the record based on the id
		if ($this->Address->del($id))
		
			// if success, notify the user.
			$this->flash("Contact id $id was deleted!", '/addresses/');
	}

}

?>